curl --request GET \
--url https://api.dev.name.com/core/v1/transfers \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.dev.name.com/core/v1/transfers"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.dev.name.com/core/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"from": 123,
"to": 123,
"transfers": [
{
"domainName": "example.com",
"status": "pending_transfer",
"email": "admin@example.com"
}
],
"lastPage": 123,
"nextPage": 123
}{
"message": "Bad Request",
"details": "'domainName' cannot be null"
}{
"message": "Unauthorized"
}{
"message": "Payment failed",
"details": "Insufficient Funds"
}{
"message": "Permission denied",
"details": "Failed authentication"
}{
"message": "Method Not Allowed"
}{
"message": "Rate Limit Exceeded"
}{
"message": "Internal Server Error",
"details": "Something went wrong."
}{
"message": "The server received an invalid response from the upstream server."
}{
"message": "Service Unavailable",
"details": "The API is offline for scheduled maintenance. See https://status.name.com for updates."
}{
"message": "The upstream server is taking too long to respond."
}List Transfers
Returns all domain transfer requests for the account, including in-progress and recent transfers.
Authorizations
Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.
Query Parameters
Per Page is the number of records to return per request. Per Page defaults to 500. Maximum number of records to return per page for paginated list endpoints.
1 <= x <= 1000Page is which page to return.
x >= 1Response
A successful response.
ListTransfersResponse returns the list of pending transfers as well as the pagination information if relevant.
TotalCount is total number of results.
From specifies starting record number on current page.
To specifies ending record number on current page.
Transfers is a list of pending transfers
Show child attributes
Show child attributes
LastPage is the identifier for the final page of results. It is only populated if there is another page of results after the current page.
NextPage is the identifier for the next page of results. It is only populated if there is another page of results after the current page.
Was this page helpful?